다음을 통해 공유


Volumes - List

한 위치에 있는 모든 스토리지 볼륨의 목록을 반환합니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/scaleUnits/{scaleUnit}/storageSubSystems/{storageSubSystem}/volumes?api-version=2019-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/scaleUnits/{scaleUnit}/storageSubSystems/{storageSubSystem}/volumes?api-version=2019-05-01&$filter={$filter}&$top={$top}&$skip={$skip}

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
location
path True

string

리소스의 위치입니다.

resourceGroupName
path True

string

리소스 그룹의 이름입니다.

scaleUnit
path True

string

배율 단위의 이름입니다.

storageSubSystem
path True

string

스토리지 시스템의 이름입니다.

subscriptionId
path True

string

Microsoft Azure 구독을 고유하게 식별하는 구독 자격 증명입니다. 구독 ID는 모든 서비스 호출에 대한 URI의 일부를 형성합니다.

api-version
query True

string

클라이언트 API 버전입니다.

$filter
query

string

OData 필터 매개 변수입니다.

$skip
query

string

OData skip 매개 변수입니다.

$top
query

string

OData top 매개 변수입니다.

응답

Name 형식 Description
200 OK

VolumeList

그래

404 Not Found

찾을 수 없음

보안

azure_auth

권한 부여는 Azure Active Directory OAuth2 흐름을 사용합니다.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Returns a list of all storage volumes at a location.

샘플 요청

GET https://management.azure.com/subscriptions/72526b2b-4b61-4700-8f0c-7bb7ae9b6a2d/resourceGroups/System.redmond/providers/Microsoft.Fabric.Admin/fabricLocations/redmond/scaleUnits/s-cluster/storageSubSystems/s-cluster.v.masd.stbtest.microsoft.com/volumes?api-version=2019-05-01

샘플 응답

{
  "value": [
    {
      "id": "/subscriptions/72526b2b-4b61-4700-8f0c-7bb7ae9b6a2d/resourceGroups/System.redmond/providers/Microsoft.Fabric.Admin/fabricLocations/redmond/scaleUnits/s-cluster/storageSubSystems/s-cluster.v.masd.stbtest.microsoft.com/volumes/48f356d4-362d-49cb-a021-fafffbe0e8ad",
      "name": "redmond/s-cluster/s-cluster.v.masd.stbtest.microsoft.com/48f356d4-362d-49cb-a021-fafffbe0e8ad",
      "type": "Microsoft.Fabric.Admin/fabricLocations/scaleUnits/storageSubSystems/volumes",
      "location": "redmond",
      "tags": {},
      "properties": {
        "totalCapacityGB": 1375,
        "remainingCapacityGB": 1317,
        "healthStatus": "Healthy",
        "operationalStatus": "OK",
        "repairStatus": "",
        "description": "",
        "action": "",
        "volumeLabel": "ObjStore_1"
      }
    }
  ]
}

정의

Name Description
Volume

볼륨 리소스의 표현입니다.

VolumeList

스토리지 볼륨의 페이저블 목록입니다.

Volume

볼륨 리소스의 표현입니다.

Name 형식 Description
id

string

리소스의 URI입니다.

location

string

리소스가 있는 지역입니다.

name

string

리소스의 이름입니다.

properties.action

string

HealthStatus/OperationalStatus에 대한 자세한 권장 작업입니다. HealthStatus/OperationalStatus가 정상/정상이면 비어 있습니다.

properties.description

string

HealthStatus/OperationalStatus에 대한 자세한 설명입니다. HealthStatus/OperationalStatus가 정상/정상이면 비어 있습니다.

properties.healthStatus

string

볼륨의 상태입니다.

properties.operationalStatus

string

볼륨의 작동 상태입니다.

properties.remainingCapacityGB

integer (int32)

볼륨의 남은 용량(GB)입니다.

properties.repairStatus

string

볼륨의 복구 상태입니다. 복구 작업이 실행되지 않으면 비어 있습니다. 복구할 때 '실행 중, 90%'와 같습니다.

properties.totalCapacityGB

integer (int32)

볼륨의 총 용량(GB)입니다.

properties.volumeLabel

string

볼륨 레이블입니다.

tags

object

키-값 쌍의 목록입니다.

type

string

리소스의 유형입니다.

VolumeList

스토리지 볼륨의 페이저블 목록입니다.

Name 형식 Description
nextLink

string

다음 페이지에 대한 URI입니다.

value

Volume[]

스토리지 볼륨 목록입니다.